=== modified file 'mandos'
--- mandos	2012-05-03 19:06:02 +0000
+++ mandos	2012-05-01 20:48:00 +0000
@@ -322,8 +322,8 @@
         elif state == avahi.ENTRY_GROUP_FAILURE:
             logger.critical("Avahi: Error in group state changed %s",
                             unicode(error))
-            raise AvahiGroupError("State changed: {0!s}"
-                                  .format(error))
+            raise AvahiGroupError("State changed: %s"
+                                  % unicode(error))
     def cleanup(self):
         """Derived from the Avahi example code"""
         if self.group is not None:
@@ -375,9 +375,9 @@
         """Add the new name to the syslog messages"""
         ret = AvahiService.rename(self)
         syslogger.setFormatter(logging.Formatter
-                               ('Mandos ({0}) [%(process)d]:'
-                                ' %(levelname)s: %(message)s'
-                                .format(self.name)))
+                               ('Mandos (%s) [%%(process)d]:'
+                                ' %%(levelname)s: %%(message)s'
+                                % self.name))
         return ret
 
 def timedelta_to_milliseconds(td):
@@ -489,8 +489,8 @@
                           "rb") as secfile:
                     client["secret"] = secfile.read()
             else:
-                raise TypeError("No secret or secfile for section {0}"
-                                .format(section))
+                raise TypeError("No secret or secfile for section %s"
+                                % section)
             client["timeout"] = string_to_delta(section["timeout"])
             client["extended_timeout"] = string_to_delta(
                 section["extended_timeout"])
@@ -758,7 +758,7 @@
     # "Set" method, so we fail early here:
     if byte_arrays and signature != "ay":
         raise ValueError("Byte arrays not supported for non-'ay'"
-                         " signature {0!r}".format(signature))
+                         " signature %r" % signature)
     def decorator(func):
         func._dbus_is_property = True
         func._dbus_interface = dbus_interface
@@ -2079,8 +2079,7 @@
             elif suffix == "w":
                 delta = datetime.timedelta(0, 0, 0, 0, 0, 0, value)
             else:
-                raise ValueError("Unknown suffix {0!r}"
-                                 .format(suffix))
+                raise ValueError("Unknown suffix %r" % suffix)
         except (ValueError, IndexError) as e:
             raise ValueError(*(e.args))
         timevalue += delta
@@ -2103,8 +2102,8 @@
         null = os.open(os.devnull, os.O_NOCTTY | os.O_RDWR)
         if not stat.S_ISCHR(os.fstat(null).st_mode):
             raise OSError(errno.ENODEV,
-                          "{0} not a character device"
-                          .format(os.devnull))
+                          "%s not a character device"
+                          % os.devnull)
         os.dup2(null, sys.stdin.fileno())
         os.dup2(null, sys.stdout.fileno())
         os.dup2(null, sys.stderr.fileno())
@@ -2119,7 +2118,7 @@
     
     parser = argparse.ArgumentParser()
     parser.add_argument("-v", "--version", action="version",
-                        version = "%(prog)s {0}".format(version),
+                        version = "%%(prog)s %s" % version,
                         help="show version number and exit")
     parser.add_argument("-i", "--interface", metavar="IF",
                         help="Bind to interface IF")
@@ -2228,10 +2227,9 @@
     
     if server_settings["servicename"] != "Mandos":
         syslogger.setFormatter(logging.Formatter
-                               ('Mandos ({0}) [%(process)d]:'
-                                ' %(levelname)s: %(message)s'
-                                .format(server_settings
-                                        ["servicename"])))
+                               ('Mandos (%s) [%%(process)d]:'
+                                ' %%(levelname)s: %%(message)s'
+                                % server_settings["servicename"]))
     
     # Parse config file with clients
     client_config = configparser.SafeConfigParser(Client
@@ -2601,11 +2599,11 @@
     service.port = tcp_server.socket.getsockname()[1]
     if use_ipv6:
         logger.info("Now listening on address %r, port %d,"
-                    " flowinfo %d, scope_id %d",
-                    *tcp_server.socket.getsockname())
+                    " flowinfo %d, scope_id %d"
+                    % tcp_server.socket.getsockname())
     else:                       # IPv4
-        logger.info("Now listening on address %r, port %d",
-                    *tcp_server.socket.getsockname())
+        logger.info("Now listening on address %r, port %d"
+                    % tcp_server.socket.getsockname())
     
     #service.interface = tcp_server.socket.getsockname()[3]
     

=== modified file 'mandos-ctl'
--- mandos-ctl	2012-05-05 09:17:34 +0000
+++ mandos-ctl	2012-01-15 21:07:44 +0000
@@ -70,12 +70,12 @@
 
 def milliseconds_to_string(ms):
     td = datetime.timedelta(0, 0, 0, ms)
-    return ("{days}{hours:02}:{minutes:02}:{seconds:02}"
-            .format(days = "{0}T".format(td.days) if td.days else "",
-                    hours = td.seconds // 3600,
-                    minutes = (td.seconds % 3600) // 60,
-                    seconds = td.seconds % 60,
-                    ))
+    return ("%(days)s%(hours)02d:%(minutes)02d:%(seconds)02d"
+            % { "days": "%dT" % td.days if td.days else "",
+                "hours": td.seconds // 3600,
+                "minutes": (td.seconds % 3600) // 60,
+                "seconds": td.seconds % 60,
+                })
 
 def string_to_delta(interval):
     """Parse a string and return a datetime.timedelta
@@ -121,20 +121,18 @@
         return unicode(value)
     
     # Create format string to print table rows
-    format_string = " ".join("{{{key}:{width}}}".format(
-            width = max(len(tablewords[key]),
-                        max(len(valuetostring(client[key],
-                                              key))
-                            for client in
-                            clients)),
-            key = key) for key in keywords)
+    format_string = " ".join("%%-%ds" %
+                             max(len(tablewords[key]),
+                                 max(len(valuetostring(client[key],
+                                                       key))
+                                     for client in
+                                     clients))
+                             for key in keywords)
     # Print header line
-    print(format_string.format(**tablewords))
+    print(format_string % tuple(tablewords[key] for key in keywords))
     for client in clients:
-        print(format_string.format(**dict((key,
-                                           valuetostring(client[key],
-                                                         key))
-                                          for key in keywords)))
+        print(format_string % tuple(valuetostring(client[key], key)
+                                    for key in keywords))
 
 def has_actions(options):
     return any((options.enable,
@@ -159,7 +157,7 @@
 def main():
     parser = argparse.ArgumentParser()
     parser.add_argument("--version", action="version",
-                        version = "%(prog)s {0}".format(version),
+                        version = "%%prog %s" % version,
                         help="show version number and exit")
     parser.add_argument("-a", "--all", action="store_true",
                         help="Select all clients")
@@ -258,8 +256,8 @@
                     clients[client_objc] = client
                     break
             else:
-                print("Client not found on server: {0!r}"
-                      .format(name), file=sys.stderr)
+                print("Client not found on server: %r" % name,
+                      file=sys.stderr)
                 sys.exit(1)
     
     if not has_actions(options) and clients:
@@ -279,28 +277,18 @@
     else:
         # Process each client in the list by all selected options
         for client in clients:
-            def set_client_prop(prop, value):
-                """Set a Client D-Bus property"""
-                client.Set(client_interface, prop, value,
-                           dbus_interface=dbus.PROPERTIES_IFACE)
-            def set_client_prop_ms(prop, value):
-                """Set a Client D-Bus property, converted
-                from a string to milliseconds."""
-                set_client_prop(prop,
-                                timedelta_to_milliseconds
-                                (string_to_delta(value)))
             if options.remove:
                 mandos_serv.RemoveClient(client.__dbus_object_path__)
             if options.enable:
-                set_client_prop("Enabled", dbus.Boolean(True))
+                client.Enable(dbus_interface=client_interface)
             if options.disable:
-                set_client_prop("Enabled", dbus.Boolean(False))
+                client.Disable(dbus_interface=client_interface)
             if options.bump_timeout:
-                set_client_prop("LastCheckedOK", "")
+                client.CheckedOK(dbus_interface=client_interface)
             if options.start_checker:
-                set_client_prop("CheckerRunning", dbus.Boolean(True))
+                client.StartChecker(dbus_interface=client_interface)
             if options.stop_checker:
-                set_client_prop("CheckerRunning", dbus.Boolean(False))
+                client.StopChecker(dbus_interface=client_interface)
             if options.is_enabled:
                 sys.exit(0 if client.Get(client_interface,
                                          "Enabled",
@@ -308,29 +296,48 @@
                                          dbus.PROPERTIES_IFACE)
                          else 1)
             if options.checker is not None:
-                set_client_prop("Checker", options.checker)
+                client.Set(client_interface, "Checker",
+                           options.checker,
+                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.host is not None:
-                set_client_prop("Host", options.host)
+                client.Set(client_interface, "Host", options.host,
+                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.interval is not None:
-                set_client_prop_ms("Interval", options.interval)
+                client.Set(client_interface, "Interval",
+                           timedelta_to_milliseconds
+                           (string_to_delta(options.interval)),
+                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.approval_delay is not None:
-                set_client_prop_ms("ApprovalDelay",
-                                   options.approval_delay)
+                client.Set(client_interface, "ApprovalDelay",
+                           timedelta_to_milliseconds
+                           (string_to_delta(options.
+                                            approval_delay)),
+                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.approval_duration is not None:
-                set_client_prop_ms("ApprovalDuration",
-                                   options.approval_duration)
+                client.Set(client_interface, "ApprovalDuration",
+                           timedelta_to_milliseconds
+                           (string_to_delta(options.
+                                            approval_duration)),
+                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.timeout is not None:
-                set_client_prop_ms("Timeout", options.timeout)
+                client.Set(client_interface, "Timeout",
+                           timedelta_to_milliseconds
+                           (string_to_delta(options.timeout)),
+                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.extended_timeout is not None:
-                set_client_prop_ms("ExtendedTimeout",
-                                   options.extended_timeout)
+                client.Set(client_interface, "ExtendedTimeout",
+                           timedelta_to_milliseconds
+                           (string_to_delta(options.extended_timeout)),
+                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.secret is not None:
-                set_client_prop("Secret",
-                                dbus.ByteArray(options.secret.read()))
+                client.Set(client_interface, "Secret",
+                           dbus.ByteArray(options.secret.read()),
+                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.approved_by_default is not None:
-                set_client_prop("ApprovedByDefault",
-                                dbus.Boolean(options
-                                             .approved_by_default))
+                client.Set(client_interface, "ApprovedByDefault",
+                           dbus.Boolean(options
+                                        .approved_by_default),
+                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.approve:
                 client.Approve(dbus.Boolean(True),
                                dbus_interface=client_interface)

=== modified file 'mandos-monitor'
--- mandos-monitor	2012-05-03 18:51:48 +0000
+++ mandos-monitor	2012-01-15 21:07:44 +0000
@@ -172,8 +172,7 @@
                                          self.rejected,
                                          client_interface,
                                          byte_arrays=True))
-        #self.logger('Created client {0}'
-        #            .format(self.properties["Name"]))
+        #self.logger('Created client %s' % (self.properties["Name"]))
     
     def property_changed(self, property=None, value=None):
         super(self, MandosClientWidget).property_changed(property,
@@ -182,9 +181,9 @@
             using_timer(bool(value))
         if property == "LastCheckerStatus":
             using_timer(value != 0)
-            #self.logger('Checker for client {0} (command "{1}") was '
-            #            ' successful'.format(self.properties["Name"],
-            #                                 command))
+            #self.logger('Checker for client %s (command "%s")'
+            #            ' was successful'
+            #            % (self.properties["Name"], command))
     
     def using_timer(self, flag):
         """Call this method with True or False when timer should be
@@ -210,49 +209,47 @@
             return
         # Checker failed
         if os.WIFEXITED(condition):
-            self.logger('Checker for client {0} (command "{1}")'
-                        ' failed with exit code {2}'
-                        .format(self.properties["Name"], command,
-                                os.WEXITSTATUS(condition)))
+            self.logger('Checker for client %s (command "%s")'
+                        ' failed with exit code %s'
+                        % (self.properties["Name"], command,
+                           os.WEXITSTATUS(condition)))
         elif os.WIFSIGNALED(condition):
-            self.logger('Checker for client {0} (command "{1}") was'
-                        ' killed by signal {2}'
-                        .format(self.properties["Name"], command,
-                                os.WTERMSIG(condition)))
+            self.logger('Checker for client %s (command "%s")'
+                        ' was killed by signal %s'
+                        % (self.properties["Name"], command,
+                           os.WTERMSIG(condition)))
         elif os.WCOREDUMP(condition):
-            self.logger('Checker for client {0} (command "{1}")'
+            self.logger('Checker for client %s (command "%s")'
                         ' dumped core'
-                        .format(self.properties["Name"], command))
+                        % (self.properties["Name"], command))
         else:
-            self.logger('Checker for client {0} completed'
-                        ' mysteriously'
-                        .format(self.properties["Name"]))
+            self.logger('Checker for client %s completed'
+                        ' mysteriously')
         self.update()
     
     def checker_started(self, command):
         """Server signals that a checker started. This could be useful
            to log in the future. """
-        #self.logger('Client {0} started checker "{1}"'
-        #            .format(self.properties["Name"],
-        #                    unicode(command)))
+        #self.logger('Client %s started checker "%s"'
+        #            % (self.properties["Name"], unicode(command)))
         pass
     
     def got_secret(self):
-        self.logger('Client {0} received its secret'
-                    .format(self.properties["Name"]))
+        self.logger('Client %s received its secret'
+                    % self.properties["Name"])
     
     def need_approval(self, timeout, default):
         if not default:
-            message = 'Client {0} needs approval within {1} seconds'
+            message = 'Client %s needs approval within %s seconds'
         else:
-            message = 'Client {0} will get its secret in {1} seconds'
-        self.logger(message.format(self.properties["Name"],
-                                   timeout/1000))
+            message = 'Client %s will get its secret in %s seconds'
+        self.logger(message
+                    % (self.properties["Name"], timeout/1000))
         self.using_timer(True)
     
     def rejected(self, reason):
-        self.logger('Client {0} was rejected; reason: {1}'
-                    .format(self.properties["Name"], reason))
+        self.logger('Client %s was rejected; reason: %s'
+                    % (self.properties["Name"], reason))
     
     def selectable(self):
         """Make this a "selectable" widget.
@@ -284,7 +281,8 @@
         # Rebuild focus and non-focus widgets using current properties
 
         # Base part of a client. Name!
-        base = '{name}: '.format(name=self.properties["Name"])
+        base = ('%(name)s: '
+                      % {"name": self.properties["Name"]})
         if not self.properties["Enabled"]:
             message = "DISABLED"
         elif self.properties["ApprovalPending"]:
@@ -299,10 +297,10 @@
             else:
                 timer = datetime.timedelta()
             if self.properties["ApprovedByDefault"]:
-                message = "Approval in {0}. (d)eny?"
+                message = "Approval in %s. (d)eny?"
             else:
-                message = "Denial in {0}. (a)pprove?"
-            message = message.format(unicode(timer).rsplit(".", 1)[0])
+                message = "Denial in %s. (a)pprove?"
+            message = message % unicode(timer).rsplit(".", 1)[0]
         elif self.properties["LastCheckerStatus"] != 0:
             # When checker has failed, print a timer until client expires
             expires = self.properties["Expires"]
@@ -313,11 +311,11 @@
                                                      '%Y-%m-%dT%H:%M:%S.%f')
                 timer = expires - datetime.datetime.utcnow()
             message = ('A checker has failed! Time until client'
-                       ' gets disabled: {0}'
-                       .format(unicode(timer).rsplit(".", 1)[0]))
+                       ' gets disabled: %s'
+                           % unicode(timer).rsplit(".", 1)[0])
         else:
             message = "enabled"
-        self._text = "{0}{1}".format(base, message)
+        self._text = "%s%s" % (base, message)
             
         if not urwid.supports_unicode():
             self._text = self._text.encode("ascii", "replace")
@@ -488,9 +486,9 @@
         self.main_loop = gobject.MainLoop()
     
     def client_not_found(self, fingerprint, address):
-        self.log_message("Client with address {0} and fingerprint"
-                         " {1} could not be found"
-                         .format(address, fingerprint))
+        self.log_message(("Client with address %s and fingerprint %s"
+                          " could not be found" % (address,
+                                                    fingerprint)))
     
     def rebuild(self):
         """This rebuilds the User Interface.
@@ -549,8 +547,8 @@
             client = self.clients_dict[path]
         except KeyError:
             # not found?
-            self.log_message("Unknown client {0!r} ({1!r}) removed"
-                             .format(name, path))
+            self.log_message("Unknown client %r (%r) removed", name,
+                             path)
             return
         client.delete()
     

